<?php
	include_once('../../inc/inc.koneksi.php');	
	include '../../inc/fungsi_tanggal.php';
	$cari		=$_GET['cari'];
	$tanggal=date('Y-m-d');
	$th_now = (int) substr($tanggal, 0, 4);
	$bl_now = (int) substr($tanggal, 5, 2);
	$tg_now = (int) substr($tanggal, 8, 2);

	if (!empty($cari)){
		$sql	= "SELECT * FROM departemen INNER JOIN karyawan on karyawan.kode_dep = departemen.kode_dep 
					WHERE (kode_kar LIKE '%$cari%' OR nama_kar LIKE '%$cari%' OR nama_dep LIKE '%$cari%')
				    ORDER BY kode_kar ";
	}
	else{
		$sql	= "SELECT * FROM departemen INNER JOIN karyawan on karyawan.kode_dep = departemen.kode_dep ORDER BY kode_kar ";
	}
	$query = mysql_query($sql);
	
	$tgl = date('d M Y');
	$content = "<h3>DAFTAR KONTRAK PENJUALAN</h3><br/>
	PER TANGGAL  : $tgl
	<table width='390' border='1' style='border-collapse:collapse'>
	<tr>
		<th width='2%'>No.</th>
		<th>Departemen</th>		
		<th>Kode</th>
		<th>Nama Karyawan</th>
		<th>Tgl.Masuk</th>
		<th>Masa Kerja</th>
		<th>Jabatan</th>
		<th>Lokasi Kerja</th>
		<th>No.Rekening</th>
		<th>Nomor KTP</th>
		<th>No.BPJS Kes.</th>			
		<th>No.BPJS Ktn.</th>
		<th>Nomor DPLK</th>
		<th>No.Sertifikat</th>
		<th>Nomor KTA</th>
		<th>Nomor HP</th>        
		<th>E-Mail</th>
		<th>Gaji Pokok</th>
		<th>Tunj.Jabatan</th>
		<th>Insentif</th>
		<th>Transport</th>		
		<th>Pulsa</th>
		<th>Uang Makan</th>
		<th>Lunsum</th>
		<th>Lain-lain</th>		
	</tr>";
		
	$no=1+$hal;
	while($r_data=mysql_fetch_array($query)){		
		$th_masuk = (int) substr($r_data[tanggal_msk], 0, 4);
		$bl_masuk = (int) substr($r_data[tanggal_msk], 5, 2);
		$tg_masuk = (int) substr($r_data[tanggal_msk], 8, 2);
		$jt_masuk=$th_now-$th_masuk-1;
		$jb_masuk=12-$bl_masuk+$bl_now-1;
		$kb_masuk = $th_masuk;
		
		while($kb_masuk>4){
				$kb_masuk = $kb_masuk-4;
		}
		
		if($bl_masuk==1)
			$jh_masuk=31-$tg_masuk+$tg_now;
			if($jh_masuk>30){
				$jh_masuk=$jh_masuk-31;
				$jb_masuk=$jb_masuk+1;
			}
		else  if($bl_masuk=2)
			if($kb_masuk==0){
				$jh_masuk=29-$tg_masuk+$tg_now;
				if($jh_masuk>28){
					$jh_masuk=$jh_masuk-29;
					$jb_masuk=$jb_masuk+1;
				}
			}else{
				$jh_masuk=28-$tg_masuk+$tg_now;
				if($jh_masuk>27){
					$jh_masuk=$jh_masuk-28;
					$jb_masuk=$jb_masuk+1;
				}
			}
		else if($bl_masuk==3)
			$jh_masuk=31-$tg_masuk+$tg_now;
			if($jh_masuk>30){
				$jh_masuk=$jh_masuk-31;
				$jb_masuk=$jb_masuk+1;
			}
		else if($bl_masuk==4)
			$jh_masuk=30-$tg_masuk+$tg_now;
			if($jh_masuk>29){
				$jh_masuk=$jh_masuk-30;
				$jb_masuk=$jb_masuk+1;
			}
		else if($bl_masuk==5)
			$jh_masuk=31-$tg_masuk+$tg_now;
			if($jh_masuk>30){
				$jh_masuk=$jh_masuk-31;
				$jb_masuk=$jb_masuk+1;
			}
		else if($bl_masuk==6)
			$jh_masuk=30-$tg_masuk+$tg_now;
			if($jh_masuk>29){
				$jh_masuk=$jh_masuk-30;
				$jb_masuk=$jb_masuk+1;
			}
		else if($bl_masuk==7)
			$jh_masuk=31-$tg_masuk+$tg_now;
			if($jh_masuk>30){
				$jh_masuk=$jh_masuk-31;
				$jb_masuk=$jb_masuk+1;
			}
		else if($bl_masuk==8)
			$jh_masuk=31-$tg_masuk+$tg_now;
			if($jh_masuk>30){
				$jh_masuk=$jh_masuk-31;
				$jb_masuk=$jb_masuk+1;
			}
		else if($bl_masuk==9)
			$jh_masuk=30-$tg_masuk+$tg_now;
			if($jh_masuk>29){
				$jh_masuk=$jh_masuk-30;
				$jb_masuk=$jb_masuk+1;
			}
		else if($bl_masuk==10)
			$jh_masuk=31-$tg_masuk+$tg_now;
			if($jh_masuk>30){
				$jh_masuk=$jh_masuk-31;
				$jb_masuk=$jb_masuk+1;
			}
		else if($bl_masuk==11)
			$jh_masuk=30-$tg_masuk+$tg_now;
			if($jh_masuk>29){
				$jh_masuk=$jh_masuk-30;
				$jb_masuk=$jb_masuk+1;
			}
		else
			$jh_masuk=31-$tg_masuk+$tg_now;
			if($jh_masuk>30){
				$jh_masuk=$jh_masuk-31;
				$jb_masuk=$jb_masuk+1;
			}
		
		if($jb_masuk>11){
			$jb_masuk=$jb_masuk-12;
			$jt_masuk=$jt_masuk+1;
		}
		$ms_kerja=$jt_masuk.' th '.$jb_masuk.' bl '.$jh_masuk.' hr';
		
		$content .="<tr>
					<td align='center'>$no</td>
					<td>$r_data[nama_dep]</td>					
					<td>$r_data[kode_kar]</td>
					<td>$r_data[nama_kar]</td>
					<td align='center'>".jin_date_str($r_data[tanggal_msk])."</td>
					<td>$ms_kerja</td>
					<td>$r_data[jabatan]</td>
					<td>$r_data[lokasi]</td>
					<td>$r_data[nomor_rek]</td>
					<td>$r_data[nomor_ktp]</td>
					<td>$r_data[nobpjs_kes]</td>
					<td>$r_data[nobpjs_tk]</td>
					<td>$r_data[nomor_dplk]</td>
					<td>$r_data[nomor_stf]</td>
					<td>$r_data[nomor_kta]</td>
					<td>$r_data[nomor_hp]</td>
					<td>$r_data[email]</td>					
					<td align='right'>".number_format($r_data[gaji_pokok],0)."</td>
					<td align='right'>".number_format($r_data[tunj_jabatan],0)."</td>
					<td align='right'>".number_format($r_data[insentif],0)."</td>
					<td align='right'>".number_format($r_data[transport],0)."</td>
					<td align='right'>".number_format($r_data[pulsa],0)."</td>
					<td align='right'>".number_format($r_data[uang_mkn],0)."</td>
					<td align='right'>".number_format($r_data[lunsum],0)."</td>
					<td align='right'>".number_format($r_data[tunj_lain],0)."</td>					
					<td align='center'>
					<a href='javascript:void(0)' onClick=\"edit_data('$r_data[kode_kar]')\">
					<img src='icon/thumb_up.png' border='0' id='edit' title='Edit' width='12' height='12' >
					</a>
					<a href='javascript:void(0)' onClick=\"hapus_data('$r_data[kode_kar]')\">
					<img src='icon/thumb_down.png' border='0' id='hapus' title='Hapus' width='12' height='12' >
					</a>					
					</td>
					</tr>";
			$no++;
		}
	$content .= "
		</table>";
		
		//laporan ke excel
		header("Content-type: application/x-msdownload");
		header("Content-Disposition: attachment; filename=dokumen_karyawan.xls");
		header("Pragma: no-cache");
		header("Expires: 0");
		echo $content;
?>
